<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>

   <extension
         point="org.eclipse.ui.editors">
      <editor
            class="org.modelversioning.operations.ui.editors.OperationRecorderEditor"
            extensions="operation"
            filenames="*.operation"
            icon="icons/emf-modeling-operations-logo.png"
            id="org.modelversioning.operations.ui.editors.OperationRecorderEditor"
            name="In-place Model Transformation Editor">
      </editor>
   </extension>
   <extension
         point="org.eclipse.ui.newWizards">
      <category
            name="EMF Modeling Operation Wizards"
            id="org.modelversioning.operations.wizards">
      </category>
      <wizard
            canFinishEarly="false"
            category="org.modelversioning.operations.wizards"
            class="org.modelversioning.operations.ui.wizards.WizardNewOperation"
            hasPages="true"
            icon="icons/emf-modeling-operations-logo.png"
            id="org.modelversioning.operations.ui.wizards.NewModelingOperationWizard"
            name="Modeling Operation By Demonstration">
      </wizard>
   </extension>
   <extension
         point="org.eclipse.ui.views">
      <view
            allowMultiple="true"
            category="org.modelversioning.operations.views"
            class="org.modelversioning.operations.ui.views.ConditionView"
            icon="icons/preconditions.png"
            id="org.modelversioning.operations.ui.conditionview"
            name="Modeling Operation Conditions"
            restorable="true">
      </view>
      <category
            id="org.modelversioning.operations.views"
            name="EMF Modeling Operations Views">
      </category>
   </extension>

</plugin>
